Next: Constants and Variables Up: NGSolve - 4.4 Previous: The input file Contents

# Reference Manual

This is the most up to date description of the PDE input file. General rules for writing input files are:

- The input file is case sensitive. All keywords must be in lower-case.
- Line comments start with the pound sign #. The rest of the line is ignored. Block comments are not available.
- The input file must start with geometry and mesh definition. The geometry is optional, the mesh statement is required:

      geometry = geodir/geofilename.geo
      mesh = meshdir/meshfilename.vol

  The filename is relative to the starting directory of ng. Spaces are optional.
- After that, `define` commands and `numproc` commands follow. Each object must be given a unique name. The objects are called in order of definition. The calling action depends on the type of object. For example, it is memory allocation for grid-functions, matrix assembling for bilinear-forms, and linear equation solving for the bvp-numproc.
- Many commands require option flags. There are define flags, numerical flags, string flags, number-list flags, and string-last flags. Examples for every type are

      -printstatus
      -ref_fac=0.1 -solution=u
      -parameters=[1.0,2,-5] -spaces=[v1,v2,v3]

  Flags need an initial '-' character. Spaces within one flag are not allowed.

Subsections

- Constants and Variables
- Coefficient functions
- Finite Element Spaces
  - H1-Finite Element Space
- Grid-functions
- Bilinear-forms
- Linear-forms
- Preconditioners
- Numerical Procedures
  - Boundary Value Problem
  - Post processing
  - Evaluation of numerical values
  - Error estimator
  - Refinement marker

Next: Constants and Variables Up: NGSolve - 4.4 Previous: The input file Contents